<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'WowGmbh.' . $_EXTKEY,
	'Presets',
	array(
		'Amazon' => 'showPresets',
	),
	// non-cacheable actions
	array(
		
	)
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'WowGmbh.' . $_EXTKEY,
	'JsonApi',
	array(
		'Amazon' => 'api',
	),
	// non-cacheable actions
	array(
	)
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'WowGmbh.' . $_EXTKEY,
	'Checkout',
	array(
		'Amazon' => 'checkout',
	),
	// non-cacheable actions
	array(
	)
);

if((int)TYPO3_version<7) {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/PageTS/Linkhandler/payment_preset_typo3-6.2.pagets">');
}
else {
	// Register icons
	if (TYPO3_MODE === 'BE') {
		$icons = [
			'ext-amazonpaymentcheckout-wizard-icon' => 'iconmonstr-amazon-1.svg',
			'ext-amazonpaymentpresets-wizard-icon' => 'iconmonstr-amazon-1.svg'
		];
		$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
		foreach ($icons as $identifier => $path) {
			$iconRegistry->registerIcon(
				$identifier,
				\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
				['source' => 'EXT:' . $_EXTKEY . '/Resources/Public/Icons/' . $path]
			);
		}
	}
}
/** @var \TYPO3\CMS\Extbase\SignalSlot\Dispatcher $signalSlotDispatcher */
$signalSlotDispatcher = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\SignalSlot\Dispatcher::class);
$signalSlotDispatcher->connect(
    \WowGmbh\AmazonPayment\Controller\AmazonController::class, 'afterAmazonPaymentSuccessful',
    \WowGmbh\AmazonPayment\Utility\Tools::class, 'logAfterAmazonPaymentSuccessfulSlot'
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/PageTS/tsconfig.txt">');
